## org.apache.fop.fo
Class EnumProperty.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.Property.Maker
            |
            +--org.apache.fop.fo.EnumProperty.Maker

Enclosing class:
  EnumProperty

public static class EnumProperty.Maker
extends Property.Maker

Constructor Summary
`protected` `EnumProperty.Maker(java.lang.String propName)`

Method Summary
`Property` `checkEnumValues(java.lang.String value)` Called by subclass if no match found.
`protected Property` `findConstant(java.lang.String value)`

Methods inherited from class org.apache.fop.fo.Property.Maker
`checkValueKeywords, compute, convertProperty, convertPropertyDatatype, getPercentBase, getPropName, getSubpropMaker, getSubpropValue, inheritsSpecified, isCompoundMaker, isCorrespondingForced, isInherited, make, make, make, makeCompound, setSubprop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumProperty.Maker

    protected EnumProperty.Maker(java.lang.String propName)

Method Detail

### checkEnumValues

    public Property checkEnumValues(java.lang.String value)

  Called by subclass if no match found.
  Overrides:
    checkEnumValues in class Property.Maker

### findConstant

    protected Property findConstant(java.lang.String value)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.